1. jdjunkiez's Avatar
    Hi there just signed up
    Sorry if this has been asked already (delete if needed)
    But i was wondering why BBM is not compatible ???

    this is the message i receive from Google play

    This app is incompatible with your device.
    O2 Samsung GT-I9100P
    10-25-13 03:02 AM
  2. Bor Navas's Avatar
    Bbm needs android 4.0 and higher, it may be that..

    Posted via my z10 - BBM channel pin C000F331C
    10-25-13 03:07 AM
  3. jdjunkiez's Avatar
    Hi there just signed up
    Sorry if this has been asked already (delete if needed)
    But i was wondering why BBM is not compatible ???

    this is the message i receive from Google play

    This app is incompatible with your device.
    O2 Samsung GT-I9100P

    Sorted it out in the end.
    i was running android 2.3.5 (i think)
    Opened up Kies and it found a update !
    updated and im now running 4.1.2
    and allowed BBM to be installed.....

    hope this helps anybody having the same problems
    Tim-ANC and Brandon Tobias like this.
    10-25-13 06:30 AM
  4. diogoteixeira87's Avatar
    Sorted it out in the end.
    i was running android 2.3.5 (i think)
    Opened up Kies and it found a update !
    updated and im now running 4.1.2
    and allowed BBM to be installed.....

    hope this helps anybody having the same problems
    Hey guys, do you know if Samsung s2 lite can be updated to ics 4.x? I have a friend that really want to use bbm, but she is stucked on 2.x. Can you help me?

    Thanks.

    Posted via my awesome BlackBerry Z10
    10-25-13 07:19 AM
  5. k8bushlover's Avatar
    See this thread http://forums.crackberry.com/bbm-and...evices-865233/

    It's been ported to Gingerbread, apparently, different versions for ARM6 or ARM7 processors, but you may need a rooted phone to move files around in some cases. (Forced close requires some library files to be moved, apparently.) Couldn't get it to work straight out of the box on an old 2.3 device I have lying around and I haven't gone to the trouble of playing around with rooting and such.
    10-25-13 12:16 PM
  6. Tim-ANC's Avatar
    Not supported for my wife's S2. Don't know what software she has. But last I checked, ATT stated she had the latest version. If it needs 4.x, how do I get it?


    www.907outdoors.com
    10-28-13 08:52 AM
  7. Bor Navas's Avatar
    Have you tried to update through a pc using Kies?


    Posted via my z10 - BBM channel pin C000F331C
    Tim-ANC likes this.
    10-29-13 04:20 AM
  8. Tim-ANC's Avatar
    Have you tried to update through a pc using Kies?


    Posted via my z10 - BBM channel pin C000F331C
    Yes, that was the fix. Thanks.

    www.907outdoors.com
    10-30-13 10:57 PM
  9. Ronke Adewale's Avatar
    i cant get to update my os on kies
    10-30-13 11:26 PM
  10. Nevlen22's Avatar
    I have the latest version of android 4.x

    Still refuses to download BBM. Any help guys?
    10-31-13 03:56 AM
  11. diogoteixeira87's Avatar
    Even using Kies, I don't know if this device will be supported. Maybe not too old for 4.x?

    Posted via my awesome BlackBerry Z10
    10-31-13 08:08 AM
  12. akoon66's Avatar
    Hi there just signed up
    Sorry if this has been asked already (delete if needed)
    But i was wondering why BBM is not compatible ???

    this is the message i receive from Google play

    This app is incompatible with your device.
    O2 Samsung GT-I9100P
    11-06-13 10:40 AM
  13. Deanig_12's Avatar
    The S2 aint old at all i updated via kies lastnight so did my partner and waaallaaaa 4.1.2= BBM4ALL 😆

    Sent from my GT-I9100 using CB Forums mobile app
    11-07-13 05:25 AM
  14. Melissa Hugo's Avatar
    Can you please please explain how Kies works? I have a Kies air Icon but I don't know how it works. Would also like to download version 4 for BBM
    11-07-13 06:05 AM
  15. diogoteixeira87's Avatar
    The S2 aint old at all i updated via kies lastnight so did my partner and waaallaaaa 4.1.2= BBM4ALL 😆

    Sent from my GT-I9100 using CB Forums mobile app
    Yes. But, is it works even in S2 lite (X advance) that have low specs? I think the difference is the processor and RAM.

    Posted via my awesome BlackBerry Z10
    11-07-13 06:21 AM
  16. diogoteixeira87's Avatar
    Can you please please explain how Kies works? I have a Kies air Icon but I don't know how it works. Would also like to download version 4 for BBM
    Never used before. I was trying to figure out how to upgrade it dor a friend. Her s2 is the lite or advance X and i would like to know if android 4.0 can be used on that device too.

    Posted via my awesome BlackBerry Z10
    11-07-13 06:22 AM
  17. Deanig_12's Avatar
    Never used before. I was trying to figure out how to upgrade it dor a friend. Her s2 is the lite or advance X and i would like to know if android 4.0 can be used on that device too.

    Posted via my awesome BlackBerry Z10
    Hey m8y have you tried looking for updates OTA?

    Sent from my GT-I9100 using CB Forums mobile app
    11-08-13 01:23 PM
  18. diogoteixeira87's Avatar
    Hey m8y have you tried looking for updates OTA?

    Sent from my GT-I9100 using CB Forums mobile app
    Over the air is on the phone, right? Yes. It's not officially available for her device. Maybe because its old. But, I know it can have it because I've seen some video in the Internet.

    Posted via my awesome BlackBerry Z10
    11-08-13 02:27 PM
  19. sheetalvikas's Avatar
    Hi,
    Could you please help me to download BBM App in my samsung s2? as its showing that this is not compatible .
    if i need to upgrade my phone's software for this then tell me the procedure and advise me the same?

    looking foward for your soonest reply
    11-21-13 06:26 AM
  20. wasime's Avatar
    Hi there just signed up
    Sorry if this has been asked already (delete if needed)
    But i was wondering why BBM is not compatible ???

    this is the message i receive from Google play

    This app is incompatible with your device.
    O2 Samsung GT-I9100P
    11-30-13 12:19 PM
  21. rlcooper69's Avatar
    Not supported for my wife's S2. Don't know what software she has. But last I checked, ATT stated she had the latest version. If it needs 4.x, how do I get it?


    907Outdoors - Your Alaska Outdoors Connection!
    12-29-13 06:34 PM
  22. rlcooper69's Avatar
    I just done my cousins s2 as had same problem I went on Google and put in updates 4 galaxy s2 and clicked on icecream sandwich 4.1 and downloaded it took couple hours 2 do all updates but now works think only took that long because reception was low but it worked
    12-29-13 06:38 PM
  23. Aditya Reza's Avatar
    Have you tried to update through a pc using Kies?


    Posted via my z10 - BBM channel pin C000F331C
    01-16-14 11:06 PM
  24. Aditya Reza's Avatar
    Bbm needs android 4.0 and higher, it may be that..

    Posted via my z10 - BBM channel pin C000F331C
    01-16-14 11:07 PM
  25. Amy Lou1's Avatar
    Hi there just signed up
    Sorry if this has been asked already (delete if needed)
    But i was wondering why BBM is not compatible ???

    this is the message i receive from Google play

    This app is incompatible with your device.
    O2 Samsung GT-I9100P
    02-06-14 04:22 PM

Similar Threads

  1. One BBM account on multiple devices?
    By RootingForRIM in forum General BBM Chat
    Replies: 23
    Last Post: 03-14-17, 10:38 AM
  2. BBM chats and backup
    By xxxmerlinxxx in forum BlackBerry 10 OS
    Replies: 3
    Last Post: 10-26-13, 12:34 AM
  3. 10.2 problems on Q10
    By Samer Moujaes in forum BlackBerry Q10
    Replies: 8
    Last Post: 10-25-13, 03:14 PM
LINK TO POST COPIED TO CLIPBOARD